Subject: Re: [PATCH 5/5] git-diff.txt: fix ordering of the [--no-index] form

From: Jonathan Nieder <[email-masked]>
Date: Wed, 24 Apr 2013 12:14:53 -0700

Ramkumar Ramachandra wrote:
> Jonathan Nieder wrote:

>> Maybe it would make sense to move towards eliminating the "implicit
>> --no-index for paths outside the repository" trick.  I use "git diff
>> --no-index" all the time, but I always spell it out to be careful.
>
> Huh?  Why do you want to endure the pain of spelling it out, when your
> intent is perfectly clear?

Because typing paths does not make my intent perfectly clear.

> What would make sense is a tristate diff.no-index:

Oh please no.

Hope that helps,
Jonathan